#version 150

#moj_import <fog.glsl>
#moj_import <color.glsl>

uniform mat4 ModelViewMat;
uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;
uniform vec2 ScreenSize;
uniform mat4 ProjMat;

in mat4 ProjInv;
in float isSky;
in float vertexDistance;

out vec4 fragColor;

#define GRIDOFFSET 0.078
#define GRIDDENSITY 10.0
#define PI 3.14159

vec3 rgb(float r, float g, float b) {
    return vec3(r / 255, g / 255, b / 255);
}

vec4 lerpColor(vec3 x, vec3 y, float t) {
    return vec4(mix(x.x, y.x, t), mix(x.y, y.y, t), mix(x.z, y.z, t), 1.0);
}

void main() {
    vec3 defaultColor = rgb(55, 55, 55);
    vec3 voidColor = rgb(50, 50, 50);

    float brightness = pow(rgb2hsv(FogColor.xyz).z, 6);

    fragColor = lerpColor(voidColor, defaultColor, brightness);
    //fragColor = vec4(brightness, brightness, brightness, 1.0)

}